#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "utility.h"

int main(int argc, char** argv){
    int* values = NULL;
    int size = 0;
    int count=0;
    int key= 0;
    FILE* fptr;
    
    if(!CheckArgCount(argc)){
       return EXIT_FAILURE;
    }
    if((fptr = OpenFile(argv[1], "r")) == NULL){
        return EXIT_FAILURE;
    }

    size = CountNumber(fptr);
    ResetFilePointer(fptr);
    values = AllocateMemory(size);
    
    if(!ReadNumber(fptr, values, size)){
        FreeMemory(values);
        CloseFile(fptr);
        return EXIT_FAILURE;
    }
    key= (int)strtol(argv[2], NULL, 10);
    BinarySearch(values, key, 0, size-1,count);
    CloseFile(fptr);
    FreeMemory(values);
    
    return EXIT_SUCCESS;
}

